pcl::recognition::RotationSpaceCell Class Reference

`#include <pcl/recognition/ransac_based/rigid_transform_space.h>`

## Classes

class | Entry

## Public Member Functions

| RotationSpaceCell ()
virtual | ~RotationSpaceCell ()
std::map< const ModelLibrary::Model *, Entry > & | getEntries ()
const RotationSpaceCell::Entry * | getEntry (const ModelLibrary::Model *model) const
const RotationSpaceCell::Entry & | addRigidTransform (const ModelLibrary::Model *model, const float axis_angle[3], const float translation[3])

## Protected Attributes

std::map< const ModelLibrary::Model *, Entry > | model_to_entry_

## Detailed Description

Definition at line 59 of file rigid_transform_space.h.

## Constructor & Destructor Documentation

pcl::recognition::RotationSpaceCell::RotationSpaceCell | ( |  | ) |

inline

Definition at line 142 of file rigid_transform_space.h.

virtual pcl::recognition::RotationSpaceCell::~RotationSpaceCell | ( |  | ) |

inline virtual

Definition at line 143 of file rigid_transform_space.h.

References model_to_entry_.

## Member Function Documentation

const RotationSpaceCell::Entry& pcl::recognition::RotationSpaceCell::addRigidTransform | ( | const ModelLibrary::Model * | model,
|  | const float | axis_angle[3],
|  | const float | translation[3]
| ) |  |

inline

Definition at line 166 of file rigid_transform_space.h.

References model_to_entry_.

std::map<const ModelLibrary::Model*,Entry>& pcl::recognition::RotationSpaceCell::getEntries | ( |  | ) |

inline

Definition at line 149 of file rigid_transform_space.h.

References model_to_entry_.

const RotationSpaceCell::Entry* pcl::recognition::RotationSpaceCell::getEntry | ( | const ModelLibrary::Model * | model | ) | const

inline

Definition at line 155 of file rigid_transform_space.h.

References model_to_entry_.

## Member Data Documentation

std::map<const ModelLibrary::Model*,Entry> pcl::recognition::RotationSpaceCell::model_to_entry_

protected

Definition at line 172 of file rigid_transform_space.h.

Referenced by addRigidTransform(), getEntries(), getEntry(), and ~RotationSpaceCell().

The documentation for this class was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/recognition/include/pcl/recognition/ransac_based/rigid_transform_space.h